Bug 240455 - Install tree preparation online doc is incorrect
Install tree preparation online doc is incorrect
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: Installation_Guide (Show other bugs)
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Jack Reed
: Documentation
Depends On:
  Show dependency treegraph
Reported: 2007-05-17 13:07 EDT by W.C. Epperson
Modified: 2013-06-17 01:28 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2012-04-11 19:16:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
PDF of Installation Manual Section 2.5 (26.46 KB, application/pdf)
2007-05-17 13:07 EDT, W.C. Epperson
no flags Details

  None (edit)
Description W.C. Epperson 2007-05-17 13:07:59 EDT
Description of problem:
RHEL5 Installation Guide indicates incorrect installation tree preparation for
FTP install.

Version-Release number of selected component (if applicable):

How reproducible:
Browse to
and try to use instructions for preparing for FTP installation.

Steps to Reproduce:
1.  Follow instructions in "2.5.1. Preparing for FTP and HTTP installation"
2.  Attempt FTP installation
Actual results:
Error: unable to read package metadata....Please ensure that your install tree
has been correctly generated.

Expected results:
Successful installation.

Additional info:
The README-en file on disk1 appears to have the correct instructions, i.e. to
unpack the disks into a single install tree, as with previous versions.  The
loop-mount of the isos without unpacking as indicated in the manual would be a
nice thing, but it doesn't work.
Comment 1 W.C. Epperson 2007-05-17 13:08:00 EDT
Created attachment 154936 [details]
PDF of Installation Manual Section 2.5
Comment 3 Joshua Wulf 2007-07-01 21:36:12 EDT
Related: http://kbase.redhat.com/faq/FAQ_105_9588.shtm

Why does Anaconda output an "Unable to read package metadata..." error when I
attempt to install Red Hat Enterprise Linux 5 Beta from an NFS server containing
the installation ISO images?

This is a known issue currently being investigated for resolution by General
Availability (GA). The problem occurs if the directory containing the ISO images
also contains a partial unpacked installation tree; for example, the /images
directory from the first ISO. The presence of such directories results in the
error stated above.

To work around this, unpack trees only to directories other than the one
containing the installation ISO images.
Comment 4 W.C. Epperson 2007-07-01 22:19:49 EDT
I don't get how that relates to loop-mounted images being used for ftp install.
Comment 5 W.C. Epperson 2007-07-02 10:58:53 EDT
(In reply to comment #4)
> I don't get how that relates to loop-mounted images being used for ftp install.

And in fact, the ftp install is perfectly happy with monolithic install tree
that also contains the iso images.  It just won't work with loop-mounted disk
images as stated in the doc.

The FAQ cited is for EL5 beta NFS install.  This bug is for FTP install of final
release containing redhat-release-5Server-

Comment 6 Michael Hideo 2007-10-22 22:49:20 EDT
Removing automation notification
Comment 7 Michael Hideo 2008-01-21 23:36:32 EST
Moving to Don
Comment 8 Don Domingo 2008-01-29 17:53:32 EST
corrected in source; removed erroneous instructions for network install
preparation (using CDROMs), added reference to README-en file instead. setting
bug as MODIFIED.
Comment 9 Michael Doyle 2010-12-07 22:32:12 EST
Instructions are still in Red_Hat_Enterprise_Linux-Installation_Guide-5-en-US-3.1-7

2.5.1. Preparing for FTP and HTTP installation
Comment 10 Jack Reed 2012-02-02 20:51:43 EST
I've located the instructions referred to in Comment 0 in the latest version of the README file and replaced the 2.5.1 procedure with them.

Note You need to log in before you can comment on or make changes to this bug.